# HOBBIT-NKVIEW.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbit-nkview.cgi - Xymon Critical Systems view CGI

## SYNOPSIS

hobbit-nkview.cgi

## DESCRIPTION

hobbit-nkview.cgi is invoked as a CGI script via the hobbit-nkview.sh CGI wrapper.

hobbit-nkview.cgi matches the current critical statuses against the hobbit-nkview.cfg(5) file, and generates the "Critical Systems" view.

## RELATION TO BBNK PAGE

This view is a replacement for the statically generated "bbnk" page provided in versions of Xymon prior to version 4.2. Although the "bbnk" pages are supported throughout Xymon 4.x, it is recommended that You switch to the newer Critical Systems view provided by this CGI.

## OPTIONS

--nkacklevel=NUMBER
  Sets the acknowledgment level for acknowledgments sent via the hobbit-ackinfo.cgi(1) page. Note that this may be overridden by the configuration of the hobbit-ackinfo.cgi utility.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
  Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
  Enables debugging output.

## ENVIRONMENT VARIABLES

BBHOME
  Used to locate the template files for the generated web pages.

QUERY_STRING
  Contains the parameters for the CGI script.

## SEE ALSO

hobbit-ackinfo.cgi(1), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
RELATION TO BBNK PAGE
OPTIONS
ENVIRONMENT VARIABLES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008